## Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$

EAPI=8
PYTHON_COMPAT=( python3_{9..12} )
DISTUTILS_SINGLE_IMPL=1
DISTUTILS_USE_PEP517=setuptools

inherit distutils-r1

PYPI_PN="KiKit"
MY_P="${PYPI_PN}-${PV}"

DESCRIPTION="KiKit is a Python library and CLI tool to automate several tasks in a standard KiCAD workflow"
HOMEPAGE="https://github.com/yaqwsx/KiKit"
if [[ ${PV} == "9999" ]] ; then
        EGIT_REPO_URI="https://github.com/yaqwsx/${PYPI_PN}.git"
        KEYWORDS=""
        inherit git-r3
else
        KEYWORDS="~amd64 ~x86"
	inherit pypi
	SRC_URI="$(pypi_sdist_url --no-normalize)"
	S="${WORKDIR}/${MY_P}"
fi

LICENSE="MIT"
SLOT="0"
IUSE=""
RESTRICT="test"

REQUIRED_USE="${PYTHON_REQUIRED_USE}"

RDEPEND="$(python_gen_cond_dep '
		dev-python/click[${PYTHON_USEDEP}]
		>=dev-python/commentjson-0.9.0[${PYTHON_USEDEP}]
		dev-python/markdown2[${PYTHON_USEDEP}]
		dev-python/numpy[${PYTHON_USEDEP}]
		dev-python/pcbdraw[${PYTHON_SINGLE_USEDEP}]
		dev-python/pcbnewtransition[${PYTHON_SINGLE_USEDEP}]
		dev-python/pybars3[${PYTHON_USEDEP}]
		>=dev-python/shapely-1.7[${PYTHON_USEDEP}]
		>=dev-python/solidpython-1.1.2[${PYTHON_USEDEP}]
		sci-electronics/kicad[${PYTHON_SINGLE_USEDEP}]
	')
"

DEPEND="${RDEPEND}
	$(python_gen_cond_dep '
		dev-python/versioneer[${PYTHON_USEDEP}]
	')
"

src_compile() {
	true
}

src_install() {
        python_domodule ${PN}
	python_doscript ${FILESDIR}/kikit{,-info,-plugin}

	insinto /usr/share/kicad/scripting
	doins ${FILESDIR}/kikit_plugin.py
	dodoc LICENCE README.md
	
	#if [[ ${PV} == "9999" ]] ; then
	#	dodoc -r doc
	#	dodoc -r scripts
	#fi
}
